> ## Documentation Index
> Fetch the complete documentation index at: https://docs.vambe.me/llms.txt
> Use this file to discover all available pages before exploring further.

# Post apipublicbooking url create appointment



## OpenAPI

````yaml /openapi.json post /api/public/booking-url/{urlName}/create-appointment
openapi: 3.0.0
info:
  title: Vambe AI API
  description: Vambe AI documentation
  version: '1.0'
  contact: {}
servers:
  - url: https://api.vambe.me
    description: Production Server
security: []
tags:
  - name: Vambe AI
    description: ''
paths:
  /api/public/booking-url/{urlName}/create-appointment:
    post:
      operationId: BookingUrlPublicController_createAppointment
      parameters:
        - name: urlName
          required: true
          in: path
          schema:
            minLength: 3
            maxLength: 50
            type: string
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/CreateAppointmentDto'
      responses:
        '201':
          description: ''
components:
  schemas:
    CreateAppointmentDto:
      type: object
      properties:
        patientId:
          type: string
          minLength: 1
        treatmentId:
          type: string
          minLength: 1
        professionalId:
          type: string
          minLength: 1
        locationId:
          type: string
          minLength: 1
        date:
          type: string
          minLength: 1
        time:
          type: string
          minLength: 1
        duration:
          type: number
        notes:
          type: string
      required:
        - patientId
        - treatmentId
        - professionalId
        - locationId
        - date
        - time

````